> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/convertto-rdmentryxml.md).

# ConvertTo-RDMEntryXml

ConvertTo-RDMEntryXml serializza una voce attiva di Remote Desktop Manager o una versione storica in XML, usando lo stesso serializzatore della funzionalità Confronta del client Windows.

### Sinossi

Serializzare una voce attiva o una versione storica in XML

### Sintassi

#### InputObject

```
ConvertTo-RDMEntryXml -InputObject <PSConnection> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

#### History

```
ConvertTo-RDMEntryXml -History <PSConnectionHistory> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Descrizione

Serializzare una voce attiva (da Get-RDMEntry) o una versione storica (da Get-RDMEntryHistory) in XML, usando lo stesso serializzatore della funzionalità Confronta del client Windows. Confrontare l'XML di due versioni, o della voce attiva con una versione, con Compare-Object riproduce il pulsante Confronta della cronologia delle voci di Windows. I record di voci eliminate da Get-RDMDeletedEntry non possono essere convertiti e vengono rifiutati.

### Esempi

#### Esempio 1

```powershell
PS C:\> $xml = Get-RDMEntryHistory -InputObject $id | Select-Object -First 2 | ConvertTo-RDMEntryXml
        Compare-Object ($xml[0] -split "`n") ($xml[1] -split "`n")
```

Confrontare le due versioni più recenti di una voce.

#### Esempio 2

```powershell
PS C:\> $currentXml = Get-RDMEntry $id | ConvertTo-RDMEntryXml
        $currentUserName = ([xml]$currentXml).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            Compare-Object ($currentXml -split "`n") (($version | ConvertTo-RDMEntryXml) -split "`n")
            $version | Restore-RDMEntryHistory
            break
        }
```

Confrontare la voce attiva con l'ultima versione precedente alla modifica del nome utente, quindi ripristinarla.

### Parametri

#### -ForcePromptAnswer

Opzione da usare con cautela. Risponderà automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di più prompt, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

Versione ottenuta da Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: History
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Voce attiva ottenuta da Get-RDMEntry

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Una voce attiva ottenuta da Get-RDMEntry

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Una versione ottenuta da Get-RDMEntryHistory

### Output

#### System.String

La rappresentazione XML della voce o della versione

### Note

Per maggiori informazioni, digiti "Get-Help ConvertTo-RDMEntryXml -detailed". Per informazioni tecniche, digiti "Get-Help ConvertTo-RDMEntryXml -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/convertto-rdmentryxml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
